net.minecraft.client.settings

## Class KeyBinding

- java.lang.Object
- - net.minecraft.client.settings.KeyBinding

- All Implemented Interfaces:
    java.lang.Comparable

      public class KeyBinding
      extends java.lang.Object
      implements java.lang.Comparable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyBinding(java.lang.String p_i45001_1_, int p_i45001_2_, java.lang.String p_i45001_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(KeyBinding p_151465_1_)`
    `int` | `compareTo(java.lang.Object par1Obj)`
    `boolean` | `getIsKeyPressed()`
    `static java.util.Set` | `getKeybinds()`
    `java.lang.String` | `getKeyCategory()`
    `int` | `getKeyCode()`
    `int` | `getKeyCodeDefault()`
    `java.lang.String` | `getKeyDescription()`
    `boolean` | `isPressed()`
    `static void` | `onTick(int par0)`
    `static void` | `resetKeyBindingArrayAndHash()`
    `static void` | `setKeyBindState(int par0, boolean par1)`
    `void` | `setKeyCode(int p_151462_1_)`
    `static void` | `unPressAllKeys()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyBinding

          public KeyBinding(java.lang.String p_i45001_1_,
                    int p_i45001_2_,
                    java.lang.String p_i45001_3_)

  - ### Method Detail

    - #### onTick

          public static void onTick(int par0)

    - #### setKeyBindState

          public static void setKeyBindState(int par0,
                             boolean par1)

    - #### unPressAllKeys

          public static void unPressAllKeys()

    - #### resetKeyBindingArrayAndHash

          public static void resetKeyBindingArrayAndHash()

    - #### getKeybinds

          public static java.util.Set getKeybinds()

    - #### getIsKeyPressed

          public boolean getIsKeyPressed()

    - #### getKeyCategory

          public java.lang.String getKeyCategory()

    - #### isPressed

          public boolean isPressed()

    - #### getKeyDescription

          public java.lang.String getKeyDescription()

    - #### getKeyCodeDefault

          public int getKeyCodeDefault()

    - #### getKeyCode

          public int getKeyCode()

    - #### setKeyCode

          public void setKeyCode(int p_151462_1_)

    - #### compareTo

          public int compareTo(KeyBinding p_151465_1_)

    - #### compareTo

          public int compareTo(java.lang.Object par1Obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`